import type { Operations } from './operations';
export declare type Calculate<T extends number | bigint> = (expression: string) => T;
export declare function createCalculate<T extends number | bigint>(operations: Operations<T>, resolveExpression?: (s: string) => string): Calculate<T>;
export declare const calculate: Calculate<number>;
export declare const decimalCalculate: Calculate<number>;
export declare const bigintCalculate: Calculate<bigint>;
